<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#form").load('md_gdg/mutasi_br/form.php');
	$("#info_pmb").hide();
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
			    $("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
				$("#t_tglawal").val(data.tanggal);
				$("#t_tglakhir").val(data.tanggal);
			}
		});
	}
	
	$("#cari_mb").click(function(){				
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir= $("#t_tgl_akhir").val();

		$("#tampil_data").show();
		$("#tampil_data").load('md_gdg/mutasi_br/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#print_bpb").click(function(){				
		var	kode    = $("#t_kodemb").val();
		var	tanggal = $("#t_tanggal").val();
		var	gdtujuan= $("#t_gdtujuan").val();
		var	petugas = $("#t_petugas").val();
		
		window.location.href='modul/laporan/bukti_pmb.php?kode='+kode+'&tanggal='+tanggal+'&gdtujuan='+gdtujuan+'&petugas='+petugas;
	});

	$("#tutup_detail").click(function(){
		$("#pencarian_pmb").show();
		$("#info_pmb").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();		
	});
	
	$("#tutup_mb").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_mbr").click(function(){
		var tgl_awal = $("#t_tglawal").val();
		var tgl_akhir= $("#t_tglakhir").val();
		var gdtjn  	 = $("#t_gdtjn").val();
		var cari   	 = $("#txt_carist").val();
        
		$.ajax({
			type	: "GET",
			url		: "md_gdg/mutasi_br/tampil_daftar.php",
			data	: "cari="+cari+
				"&gdtjn="+gdtjn+
				"&tgl_awal="+tgl_awal+
				"&tgl_akhir="+tgl_akhir,
			success	: function(data){
				$("#tampil_daftar").html(data);
			}
		});
	});
	
	$("#txt_carist").keyup(function(){
		var tgl_awal	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		var gdtjn  		= $("#t_gdtjn").val();
		var cari   		= $("#txt_carist").val();
		
		$.ajax({
			type	: "GET",
			url		: "md_gdg/mutasi_br/tampil_daftar.php",
			data	: "cari="+cari+
				"&gdtjn="+gdtjn+
				"&tgl_awal="+tgl_awal+
				"&tgl_akhir="+tgl_akhir,
			success	: function(data){
				$("#tampil_daftar").html(data);
			}
		});
	});
	
	$("#cetak_mbr").click(function(){
		var tgl_awal	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		var gdtjn  		= $("#t_gdtjn").val();
		var cari   		= $("#txt_carist").val();
		
		window.location.href='md_gdg/laporan/daftar_mbgd.php?gdtjn='+gdtjn+'&tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul>
	       <li><a href='#form'>INPUT PEMINDAHAN BARANG</a></li>
	       <li><a href='#form_cetakbpb'>CETAK BUKTI PEMINDAHAN BARANG</a></li>
		   <li><a href='#data'>DAFTAR PEMINDAHAN BARANG</a></li>
      </ul>";
	  
echo "<div id='form'></div>";

echo "<div id='form_cetakbpb'>
		<div id='pencarian_pmb'>
			<table>
				<tr>
					<td>Penjualan tanggal : <input type='date' id='t_tgl_awal' size='10'> sampai dengan <input type='date' id='t_tgl_akhir' size='10'></td>
					<td>
						<button id='cari_mb'>Cari</button>
						<button id='tutup_mb'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>
			
		<div id='tampil_data' align='center' style='overflow-x: auto;height: 450px;scroll-behavior: smooth'></div>
			
		<div id='info_pmb'>
			<table width='100%'>
				<tr>
				    <td>Kode Mutasi : <input type='text' id='t_kodemb' size='15' readonly class='input_header'></td>
		            <td>Tanggal : <input type='date' id='t_tanggal' size='12' class='input_header'></td>
		            <td>Gudang Tujuan : <input type='text' id='t_gdtujuan' size='4' class='input_header'> <input type='text' id='t_cabang' size='20' class='input_header'></td>
		            <td>Petugas : <input type='text' id='t_petugas' size='20' class='input_header'></td>
		            
					
		        </tr>
			</table>
			<table width='100%'>
				<tr>
					<td align='center'>
						<button id='print_bpb'>Cetak Faktur</button>
						<button id='tutup_detail'>Tutup Detail</button>
					</td>					
				</tr>
			</table>						
		</div>
			
		<div id='tampil_detail' align='center' style='overflow-x: auto;height: 450px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='data'>
        <div id='pencarian'>
			<table width='100%'>
				<tr>
					<td>Pemindahan tanggal : <input type='date' id='t_tglawal' size='10'> Sampai dengan <input type='date' id='t_tglakhir' size='10'></td>
					<td>Gudang Tujuan :  <select id='t_gdtjn'>
					        <option value=''></option>";
							$sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				            while($r=mysql_fetch_array($sql)){
				                $kodecab=$r[kode_cab];
				                echo "<option value='$kodecab'>$r[nama_cab]</option>";
				            }
			            echo "</select>
                   	</td>
					<td>Cari barang : <input type='text' id='txt_carist' size='30'></td>
				</tr>
			</table>
			<table width='100%'>
				<tr>
					<td align='center'>
						<button id='cari_mbr'>Cari</button>
						<button id='cetak_mbr'>Cetak</button>
						<button id='tutup'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>
		<div id='tampil_daftar' align='center'></div>
    </div>";
    
echo "<div id='info' align='center'></div>";
echo "</div>";
?>
